[android-components](../../index.md) / [mozilla.components.browser.toolbar](../index.md) / [BrowserToolbar](index.md) / [setSearchTerms](./set-search-terms.md)

# setSearchTerms

`fun setSearchTerms(searchTerms: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/toolbar/src/main/java/mozilla/components/browser/toolbar/BrowserToolbar.kt#L404)

Overrides [Toolbar.setSearchTerms](../../mozilla.components.concept.toolbar/-toolbar/set-search-terms.md)

Displays the currently used search terms as part of this Toolbar.

### Parameters

`searchTerms` - the search terms used by the current session